
Figure - Bug #114215
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 114212 (New): V4.0专项--BSP专项--性能测试

【BSP】【EVT1】【专项】【响应时间】触控延迟：实测时间为：68ms，目标时间：小于17ms
2022-11-30 10:41 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-11-30

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: 01.00.X101_0052.X101

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 与Touch供应商确认OK。

Description

【前提条件】

使用user版本测试

【测试步骤】

1、重启系统

2、不连接任何网络

3. 点击屏幕

4、重复步骤2-3，测试5组数据取平均值

开始计时：手指接触屏幕瞬间

停止计时：触摸坐标出现瞬间

【预期结果】

小于17ms

【实际结果】

68ms

测试视频：ftp://cdiot@192.168.87.46/Figure/video/C0004.MP4 （250帧）

4505-4522

 68ms

History

#1 - 2022-11-30 16:22 - CDTS_TEST 王成

- Severity changed from Normal to Critical

#2 - 2022-12-05 18:06 - CD BSP-唐金泽

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-唐金泽 to CD BSP-余霄

#3 - 2022-12-05 19:16 - CD BSP-唐金泽

与刘强沟通，该版本测试在VC1的设备上进行的
#4 - 2022-12-08 10:49 - CDTS-TEST 周婷

- Target version set to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

#5 - 2022-12-09 11:05 - 物联网项目组-RD3_CDTS 周飞

- Target version changed from MCE_V4.0update_20221215(原VC1_FSE_Vdec1219) to VX1_MCE_FSE_V5.0_20221230

#6 - 2022-12-16 09:56 - CD BSP-余霄

- File touch.png added

目前与供应商沟通后，总结如下

1.TP芯片触控延时预计在30-40ms

2.触控延迟应排除接入系统中的延迟（中断响应时间、I2C读取时间、上层处理时间），应仅测试TP芯片延迟30-40ms(目前正在让供应商帮忙验证中)。

3.汽车可靠性要求比较高，触控延时比较多的是30-40ms

#7 - 2022-12-22 11:52 - CD BSP-余霄

- File vc1-tp.jpg added

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Root cause set to 与Touch供应商确认OK。

供应商已验证，TP芯片延迟为28ms，属于正常范围。

#8 - 2022-12-30 14:39 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据以上备注，芯片延迟满足要求；

按照票上相同测试手法更新对比机联想小新（修改FPS后）测试数据数据62ms，与测试相差不大，故关闭bug

#9 - 2022-12-30 14:39 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

touch.png 1.14 MB 2022-12-16 CD BSP-余霄

vc1-tp.jpg 39.1 KB 2022-12-22 CD BSP-余霄
